org.apache.avro.ipc.generic

## Class GenericRequestor

- java.lang.Object
- - org.apache.avro.ipc.Requestor
  - - org.apache.avro.ipc.generic.GenericRequestor

-     public class GenericRequestor
      extends Requestor

  `Requestor` implementation for generic Java data.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.avro.ipc.Requestor

      `Requestor.TransceiverCallback<T>`

  - ### Field Summary

    - ### Fields inherited from class org.apache.avro.ipc.Requestor

      `rpcMetaPlugins`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericRequestor(Protocol protocol, Transceiver transceiver)`
    `GenericRequestor(Protocol protocol, Transceiver transceiver, GenericData data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GenericData` | `getGenericData()`
    `Exception` | `readError(Schema writer, Schema reader, Decoder in)` Reads an error message.
    `Object` | `readResponse(Schema writer, Schema reader, Decoder in)` Reads a response message.
    `void` | `writeRequest(Schema schema, Object request, Encoder out)` Writes a request message.

    - ### Methods inherited from class org.apache.avro.ipc.Requestor

      `addRPCPlugin, getLocal, getRemote, getTransceiver, readError, readResponse, request, request`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericRequestor

          public GenericRequestor(Protocol protocol,
                                  Transceiver transceiver)
                           throws IOException

      Throws:
        `IOException`

    - #### GenericRequestor

          public GenericRequestor(Protocol protocol,
                                  Transceiver transceiver,
                                  GenericData data)
                           throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getGenericData

          public GenericData getGenericData()

    - #### writeRequest

          public void writeRequest(Schema schema,
                                   Object request,
                                   Encoder out)
                            throws IOException

      Description copied from class: `Requestor`
      Writes a request message.
      Specified by:
        `writeRequest` in class `Requestor`
      Throws:
        `IOException`

    - #### readResponse

          public Object readResponse(Schema writer,
                                     Schema reader,
                                     Decoder in)
                              throws IOException

      Description copied from class: `Requestor`
      Reads a response message.
      Specified by:
        `readResponse` in class `Requestor`
      Throws:
        `IOException`

    - #### readError

          public Exception readError(Schema writer,
                                     Schema reader,
                                     Decoder in)
                              throws IOException

      Description copied from class: `Requestor`
      Reads an error message.
      Specified by:
        `readError` in class `Requestor`
      Throws:
        `IOException`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.